Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.security.cert
Class CertPath.CertPathRep

    java.lang.Object
      |
      +--java.security.cert.CertPath.CertPathRep

All Implemented Interfaces:
  Serializable

Enclosing class:
  CertPath

protected static class CertPath.CertPathRep
extends Object
implements Serializable

Alternate `CertPath` class for serialization.

See Also:
  Serialized Form

Constructor Summary
`protected` | `CertPath.CertPathRep(String type, byte[] data)` Creates a `CertPathRep` with the specified type and encoded form of a certification path.

Method Summary
`protected Object` | `readResolve()` Returns a `CertPath` constructed from the type and data.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CertPath.CertPathRep

    protected CertPath.CertPathRep(String type,
                                   byte[] data)

  Creates a `CertPathRep` with the specified type and encoded form of a certification path.

Parameters:
  `type` - the standard name of a `CertPath` type
  `data` - the encoded form of the certification path

Method Detail

### readResolve

    protected Object readResolve()
                          throws ObjectStreamException

  Returns a `CertPath` constructed from the type and data.

  Returns:
    the resolved `CertPath` object
  Throws:
    `ObjectStreamException` - if a `CertPath` could not be constructed

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.4.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2002 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.